<?php
$valid = true;
$empresasDao = new \Dao\Empresas();
$empresasDao->getEmpresaPorId($conecta, $conecta->real_escape_string(filter_input(INPUT_POST, 'id')));
$empresasDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$empresasDao->tipo = $conecta->real_escape_string(filter_input(INPUT_POST, 'tipo'));
$empresasDao->cpf_cnpj = $conecta->real_escape_string(filter_input(INPUT_POST, 'cpf_cnpj'));
$empresasDao->rg_ie = $conecta->real_escape_string(filter_input(INPUT_POST, 'rg_ie'));
$empresasDao->im = $conecta->real_escape_string(filter_input(INPUT_POST, 'im'));
$empresasDao->sexo = $conecta->real_escape_string(filter_input(INPUT_POST, 'sexo'));
$empresasDao->email = $conecta->real_escape_string(filter_input(INPUT_POST, 'email'));
$empresasDao->est_civil = $conecta->real_escape_string(filter_input(INPUT_POST, 'estado_civil'));
$empresasDao->telefone = $conecta->real_escape_string(filter_input(INPUT_POST, 'telefone'));
$empresasDao->endereco = $conecta->real_escape_string(filter_input(INPUT_POST, 'endereco'));
$empresasDao->bairro = $conecta->real_escape_string(filter_input(INPUT_POST, 'bairro'));
$empresasDao->numero= $conecta->real_escape_string(filter_input(INPUT_POST, 'numero'));
$empresasDao->fk_id_cidade = $conecta->real_escape_string(filter_input(INPUT_POST, 'cidade'));
$empresasDao->data_cadastro = date('Y-m-d H:i:s');
$empresasDao->data_alteracao = date('Y-m-d H:i:s');
$empresasDao->usuario_cadastrou = $_SESSION['id_usuario'];
$empresasDao->usuario_alterou = $_SESSION['id_usuario'];
if ($empresasDao->id == 0) {
    $lst_empresas = $empresasDao->getLista($conecta, "AND cpf_cnpj = '$empresasDao->cpf_cnpj'");
    if (!empty($lst_empresas)) {
        \Dao\Funcoes::displayMessage('Erro', 'Já Existe Uma Empresa Cadastrada Com Este CPF/CNPJ!', '?p=empresa', 'red');
        $valid = false;
    }
}
if ($valid) {
    $res = json_decode($empresasDao->salvar($conecta));
    if ($res->data == 'Success')
        \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'empresas.php');
    else
        \Dao\Funcoes::displayMessage('Erro', $res->message, 'empresas.php', 'red');
}